# Copyright 2019 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

#  The following optional fields can be set as binding members:
#   domain, group_email, user_email, special_group.
#  Only member fields that are set will be considered when searching for
#  violations.

rules:
  - name: BigQuery rule to search for public datasets
    mode: blacklist
    resource:
      - type: organization
        resource_ids:
          - 496792353138
    dataset_ids: ['*']
    bindings:
      - role: '*'
        members:
        - special_group: 'allAuthenticatedUsers'
  - name: BigQuery rule to search for datasets accessible by users with gmail.com addresses
    mode: blacklist
    resource:
      - type: organization
        resource_ids:
          - 496792353138
    dataset_ids: ['*']
    bindings:
      - role: '*'
        members:
        - user_email: '*@gmail.com'
  - name: BigQuery rule to search for datasets accessible by groups with googlegroups.com addresses
    mode: blacklist
    resource:
      - type: organization
        resource_ids:
          - 496792353138
    dataset_ids: ['*']
    bindings:
      - role: '*'
        members:
        - group_email: '*@googlegroups.com'
